Bug 185798 - OpenOffice.org crashes X whilst opening a DOC file
OpenOffice.org crashes X whilst opening a DOC file
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
rawhide
i686 Linux
medium Severity high
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-18 06:04 EST by Andy Hudson
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-18 18:06:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Small word file to test if it causes the same crash as already seen (30.50 KB, application/msword)
2006-03-18 17:58 EST, Paul F. Johnson
no flags Details

  None (edit)
Description Andy Hudson 2006-03-18 06:04:50 EST
Description of problem:
Everytime I try to open a DOC file in OpenOffice.org it crashes X and sends me
straight back to the GDM login. Considering that OOo is the primary office suite
bundled with FC5 this is pretty bad!

Version-Release number of selected component (if applicable):
2.0.2-5.2.2.i386

How reproducible:
Always

Steps to Reproduce:
1.Browse to DOC file
2.Double-Click to open (or right click and select Open)
3.Wind up back at the login prompt
  
Actual results:


Expected results:


Additional info:
Comment 1 Paul F. Johnson 2006-03-18 06:31:08 EST
Have you got Xine installed? I've noticed strange behaviour like this with
xine-lib. Does the doc file have many macros in?
Comment 2 Andy Hudson 2006-03-18 06:38:07 EST
No to Xine and no to macros - it's a straight-forward word document, with some 
extra styles.
Comment 3 Paul F. Johnson 2006-03-18 06:50:08 EST
Can you attach a small example which is causing a crash?
Comment 4 Andy Hudson 2006-03-18 07:21:30 EST
I would rather not post the document on a public system such as Bugzilla because
it is commercially sensitive. Are there any log outputs I can post instead that
might indicate what's going on?
Comment 5 Paul F. Johnson 2006-03-18 17:56:39 EST
Install OOo-debuginfo, run the word file and save the output of the crash. Post
that here.

I've attached a word file to this bug. Can you run it and see OOo dies? It
should help identify the problem.
Comment 6 Paul F. Johnson 2006-03-18 17:58:26 EST
Created attachment 126316 [details]
Small word file to test if it causes the same crash as already seen

This file is not commercially sensitive, but is copyright the Association of C
and C++ Users. It is used with permission
Comment 7 Caolan McNamara 2006-03-20 05:09:35 EST
If it crashes X, then it's really an X bug, needless to say opening a generic
.doc does not crash anything for me. You should mention all the X details you
know, x.org version, the x.org conf, your video card and so forth. Does anything
else crash X when launched, firefox/mozilla/glxgears ? Got a third party video
driver, e.g. NVIDIA etc...
Comment 8 Mike A. Harris 2006-03-24 19:55:41 EST
Thanks for the bug report.  We have reviewed the information you
have provided above, and there is some additional information we
require that will be helpful in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X
server log file (/var/log/Xorg.*.log) to the bug report as individual
uncompressed file attachments using the bugzilla file attachment link
below.

After attaching the files, please try using the following option in
the device section of xorg.conf, restart the X server, and indicate
if the problem still occurs or not:

    Option "noaccel"

We will review this issue again once you've had a chance to attach
this information.

Thanks in advance.
Comment 9 Mike A. Harris 2006-05-18 18:06:59 EDT
If this problem is still present in Fedora Core 5, with all available
updates applied, please file a bug report in X.Org bugzilla at
http://bugs.freedesktop.org in the "xorg" component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes
that become available for consideration in future updates.


Note You need to log in before you can comment on or make changes to this bug.